#!/usr/bin/awk -f

BEGIN{
  a1 = 5.0;	# AU
  a2 = 5.4;
  e1 = 0.;
  e2 = 0.25;
  i1 = 0.;	# deg
  i2 = 40.;

  lambda1 = 110;	# this is for L4 point (in front of Jupiter)
  lambda2 = 320;	# and a PARTICULAR POSITION OF JUPITER (JD = 2455000.5)
}
{
  a = substr($0,169,13)+0;
  e = substr($0,159,10)+0;
  i = substr($0,149,10)+0;
  peri = substr($0,127,10)+0;
  node = substr($0,138,10)+0;
  m = substr($0,115,10)+0;
  lambda = zero2pi(peri+node+m, 360.);

  if ( (a>a1) && (a<a2) && (e>e1) && (e<e2) && (i>i1) && (i<i2) && ((lambda<lambda1) || (lambda>lambda2)) ) {
    print;
  }
}

func zero2pi(x,pi2, y) {
  y = frac(x/pi2)*pi2;
  if (y < 0.) { y = y + pi2; }
  return y;
}

func frac(x) {
  return (x - int(x));
}


