#!/usr/bin/awk -f

# astorb_grep_astorb_NOT.awk
# Grep a given list of astorb-like names NOT CONTAINED in astorb-like catalogue.
# ASSUME COMPLETENESS AND THE SAME SORT-ORDER of the latter!!!
# Miroslav Broz (miroslav.broz@email.cz), Oct 6th 2004

# Jul 19th 2006: astorb.dat format has changed (1 more digit at the beginning)

BEGIN{
  n=0;
  i=1;
}
(FILENAME==ARGV[1]) && !/^#/{
  n++;
  num[n]=substr($0,1,6)+0;	# <- NEW astorb.dat format here
  dsg[n]=substr($0,8,24-8);
  str[n]=$0;
}
(FILENAME!=ARGV[1]){
  if (i>n) {
    print;
  } else {
    if ((num[i]>0) && (num[i] == (substr($0,1,6)+0)) || (dsg[i] == substr($0,8,24-8))) {	# <- NEW astorb.dat format here
#      print;
      i++;
    } else {
      print;
    }
  }
}
END{
  for(j=i; j<=n; j++) {
    print "# " dsg[j] " not found in " ARGV[2];
  }
}

