#!/usr/bin/gnuplot

# Miroslav Broz (miroslav.broz@email.cz), Jul 26th 2002

set term postscript eps enh color solid "Helvetica" 18
set out "trojans_L5-size_distribution.eps"
set size 0.75,1

set tit ""
set xl "diameter {/Helvetica-Oblique D} / km"
set yl "number of asteroids {/Helvetica-Oblique N} (>{/Helvetica-Oblique D})" offset +1,0

set xr [8:250]
miny=0.8
maxy=2000
set yr [miny:maxy]
set logscale xy

lw=5
set style line 1 lt 7 lw 0.5 # fit
set style line 2 lt 7 lw 3   # Trojans
set style line 4 lt 1 lw 5   #
set style line 3 lt 1 lw 5   # Aneas
set style line 5 lt 9 lw 0.5 # ranges
set style line 6 lt 9 lw 0.5
set style line 7 lt 9 lw 0.5
set style line 8 lt 9 lw 0.5 # r32_wo_

set mytics 10
#set grid
#set xtics ("1"1,"2"2,"3"3,"4"4,"5"5,"6"6,"7"7,"8"8,""9,"10"10,""11,""12,""13,""14,"15"15,""16,""17,""18,""19,"20"20,"30"30,"50"50)

load "trojans_L5.plt"
load "aneas.plt"

#set nolabel 2
#set nolabel 3
#set label " {/=12{/Symbol -}2.7" at 11, f_aneas(10)*0.27
#set label " {/=12{/Symbol -}2.8" at 11, f_hilda(10)   *0.9

p f_trojans_L5(x)               not            w l ls 1,\
  f_aneas(x)                not            w l ls 1,\
  "trojans_wo_aneas.dat_hc" not            w l ls 8,\
  "trojans_L5.dat_hc"           t "L5 Trojans" w l ls 2,\
  "aneas.dat_hc"            t "Aneas"  w l ls 3,\
  "trojans_L5.dat_rng" u 1:(100+$2*(maxy-100)) not w l ls 5,\
  "aneas.dat_rng"  u 1:(miny+100*$2) not w l ls 6

q

#  "r32_wo_hilda.dat_hc"    not          w l ls 8,\
#  "r32_wo_aneas.dat_hc" not          w l ls 8,\


